<%@ page contentType="text/html; charset=UTF-8" %>
<%-- 
  Copyright 2001 Sun Microsystems, Inc.  All rights reserved. 
  PROPRIETARY/CONFIDENTIAL.  Use of this product is subject to license terms. 
--%> 
<%-- edit.jsp  --%>

<%@ page import="com.sun.portal.wireless.providers.containers.jsp.rendering.single.JSPSingleRenderingContainerProvider" %>
<%@ page import="com.sun.portal.desktop.util.I18n"%>
<%
   String errorMsg = I18n.IURLDecode(request.getParameter("error"));
%>

<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<%@ page session="false" %>

<%
      String targetChannel = request.getParameter("targetprovider");
      String editChannelName = request.getParameter("provider");
      pageContext.setAttribute( "targetChannel", targetChannel );
      JSPSingleRenderingContainerProvider scp = (JSPSingleRenderingContainerProvider)pageContext.getAttribute("JSPProvider");
      String parentContainer = scp.getProviderContext().getDefaultChannelName();
      String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);

%>
<dt:obtainContainer container="$JSPProvider">
  <dtcpc:containerProviderContext>
    <dtcpc:obtainChannelFromContainer channel="$targetChannel">

      <dtpc:providerContext>
        <dt:getEditType id="edittype"/>

        <jx:choose>
          <jx:when test="$edittype == 4">
            <dt:getEdit/>
          </jx:when>
          <jx:otherwise>

<AmlDocument>
  <AmlPage>
       <AmlForm name="edit_form" submit_label="Fertig">
	  <AmlURL action="<dtpc:getDesktopURL/>">
	    <AmlParam name="action" value="process"/>
	    <AmlParam name="provider" value="<%=targetChannel%>"/>
	    <AmlParam name="editChannelName" value="<%=editChannelName%>"/>
	  </AmlURL>


         <%
         if (errorMsg != null) {
         %>
         <AmlGroup>
            <AmlText bold="true" text="<%=errorMsg%>" />
            <AmlBr/>
         </AmlGroup>
         <%
         }
         %>

         <dt:getEdit/>
         <AmlBr/>
       </AmlForm>
  </AmlPage>
</AmlDocument>
          </jx:otherwise>
        </jx:choose>
      </dtpc:providerContext>
    </dtcpc:obtainChannelFromContainer>
  </dtcpc:containerProviderContext>
</dt:obtainContainer>
