<%@ page contentType="text/html; charset=UTF-8" %>
<%--
Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
 
<!-- @(#)IMArchiveDisplay.jsp --> 
 
<%@page language= "java" import="com.sun.portal.search.providers.*,
                java.lang.*, java.util.*, java.text.*, 
                com.sun.im.portal.servlet.*" %> 
 
<%@ taglib uri="/tld/search.tld" prefix="search" %> 
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %> 
<%@ taglib uri="/tld/im.tld" prefix="im" %> 
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %> 
 
<dt:obtainChannel channel="$JSPProvider"> 
<dtpc:providerContext> 
 
<% Hashtable ht = new Hashtable();
   ht.put("has_joined_the_room","<span class='user'> {0} </span> <span class='headervalue'> a rejoint le salon.</span>");
   ht.put("has_left_the_room","<span class='user'> {0} </span> <span class='headervalue'> a quitté le salon.</span>");
   ht.put("has_closed_the_room","<span class='user'> {0} </span> <span class='headervalue'> a fermé le salon.</span>");
   ht.put("has_opened_the_room","<span class='user'> {0} </span> <span class='headervalue'> a ouvert le salon.</span>");
   ht.put("has_logged_in","<span class='user'> {0} </span> <span class='headervalue'> s'est connecté.</span>");
   ht.put("has_logged_out","<span class='user'> {0} </span> <span class='headervalue'> s'est déconnecté.</span>");
   ht.put("unknown","Inconnu");
   ht.put("poll_question","<span class='pollheader'> Question du sondage : </span>");
   ht.put("subject","<span class='headername'> Objet : </span>");
   ht.put("to","<span class='headername'> À : </span> <span class='user'> {0} </span>");
   ht.put("from","<span class='headername'> De : </span> <span class='user'> {0} </span>");
   ht.put("date","<span class='headername'> Date : {0} </span>");
   ht.put("poll_answers","<span class='polldetails'> Réponses au sondage : </span>");
   ht.put("answer","<span class='pollheader'>Réponse {0}:</span> {1}");
   ht.put("replied","<span class='user'> {0} </span> a répondu : ");
   ht.put("back","Retour");
   ht.put("next","Suivant");
%>

<search:searchContext> 
    <% long startTime = System.currentTimeMillis(); %>
    <search:setQueryLanguage ql= "search"/> 
    <% String scope = request.getParameter("scope");
        if (scope == null) scope = ""; %>
    <search:setQuery query = "<%= scope %>"/> 
    <search:setRDMType rdmType = "rd-request"/>
    <search:setRDMServer rdmServer ='<%=  request.getScheme() +
                    "://" + request.getServerName() + ":" + 
                    request.getServerPort() + request.getContextPath() 
                    + "/search" %>'/> 
    <search:setViewAttributes viewAttributes = "title,full-text"/> 
 
    <search:setViewHits viewHits = "10"/> 
    <search:setPage page = "1"/> 

    <dtpc:getSessionID id = "accessToken"/> 
    <search:setSessionID sessionID="$accessToken"/> 
 
    <search:executeSearch/> 
    <search:getSearchString id="scope" />
    <im:debug message='<%= "Scope = " + (String)pageContext.getAttribute("scope") %>' />

    <html>
    <head>
    <search:getSoifResult id="result"/>
    <search:SOIF input="$result">
        <search:getValue soifAttribute="title" id="title"/>
        <title>
	<%= (String)pageContext.getAttribute("title") %>
	</title>
        <style type="text/css">
            p {margin:0px}
	    .messageTimestamp { color: #3366FF; font-size: 10pt;
                    font-family:Helvetica, Arial, sans-serif; }
	    .eventTimestamp { color: #FF0000; font-size: 10pt;
                    font-family:Helvetica, Arial, sans-serif; }
	    .headername { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
            .headervalue { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
	    .pollheader  { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
	    .polldetails { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
            .user { color: #CC33CC; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
        </style>
        </head>
        <body>
        <search:getValue soifAttribute="full-text" id="ft"/>
        <dtpc:getLocale id="locale" />

	<im:debug message='<%= "Title = " + (String)pageContext.getAttribute("title") %>' />
        <im:substitute id="data" data='<%= (String)pageContext.getAttribute("ft") %>' 
                    ht='<%= ht %>' locale='<%= (Locale)pageContext.getAttribute("locale") %>'/>
		 
	<%= (String)pageContext.getAttribute("data") %>
	<im:debug message='<%= "Full-Text = " + (String)pageContext.getAttribute("data") %>' />
    </search:SOIF>
    </body>
    <im:debug message='<%= new String("Temps nécessaire pour traiter la demande " +			(System.currentTimeMillis() - startTime) + " msec") %>'/>
</search:searchContext> 
</dtpc:providerContext> 
</dt:obtainChannel> 
 
