<%@ page contentType="text/html; charset=UTF-8" %>
<%--
    PROPRIETARY/CONFIDENTIAL. Use of this product is subject to license terms.
    Copyright 2003 Sun Microsystems, Inc. All rights reserved.
--%>

<%-- layoutdoedit.jsp --%>
<%@ page session="false" %>
<%@ page import="java.util.HashMap"%>
<%@ page import="com.sun.portal.providers.context.ContainerProviderContext"%>
<%@ page import="com.sun.portal.wireless.providers.containers.jsp.rendering.JSPRenderingContainerProvider"%>
<%@ page import="com.sun.portal.wireless.providers.containers.jsp.rendering.single.JSPSingleRenderingContainerProvider"%>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<%
  // Get the request params
  String moveUpChannel = (String) request.getParameter("moveUp");
  String moveDnChannel = (String) request.getParameter("moveDown");
  String container     = (String) request.getParameter("container");
  String nextURL       = (String) request.getParameter("nextURL");


  // Get the necessary containers
    JSPSingleRenderingContainerProvider scp = 
                         (JSPSingleRenderingContainerProvider) 
                              pageContext.getAttribute("JSPProvider");

    ContainerProviderContext cpc = scp.getContainerProviderContext();

    JSPRenderingContainerProvider rcp = 
                    (JSPRenderingContainerProvider)
                        cpc.getProvider(request, scp.getName(), container);

    // Now use the container to perform the work
    if (moveUpChannel != null) {
        rcp.upRow(request, moveUpChannel);
    } else if (moveDnChannel != null) {
        rcp.downRow(request, moveDnChannel);
    }

    //Forward to the next URL
    if (nextURL != null) { 
        response.sendRedirect(nextURL);
        //response.setStatus (response.SC_MOVED_TEMPORARILY);
        //response.setHeader ("Location", nextURL);
    } else { 
        HashMap qmap = new HashMap();
        qmap.put("action", "edit");
        qmap.put("container", container);
        qmap.put("provider",(String) request.getParameter("provider")); 

        //construct url to send to layout editpage 
        nextURL = cpc.getDesktopURL(request, qmap, null, false);
        qmap = null;

        if (nextURL != null) {
            response.sendRedirect(response.encodeRedirectURL(nextURL));
            //response.setStatus (response.SC_MOVED_TEMPORARILY);
            //response.setHeader ("Location", nextURL);
        } 
    }
%>
    <%-- body for negotiating nokia gateways --%>
    <AmlDocument title="レイアウト選択プロセスページ">
        <AmlPage title="LayoutProcess"> 
            <AmlLink url="<%=nextURL%>" text="ページが移動されました。"/>
        </AmlPage>
    </AmlDocument>

