<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="layoutSetup.jsp" %>

<dt:obtainContainer container="$wireless"> 

<%-- The presentation of layout edit page --%>
<wml>
  <jx:choose>
  <jx:when test="$hasMovableChannels == true" >

  <card id="layoutSelection" title="レイアウト選択">
    <onevent type="onenterforward">
      <refresh>
        <setvar name="movingChannel" value=""/>
      </refresh>
    </onevent>

    <p><b>チャネルを配置:</b></p>
    <p align="left">
      <select name="movingChannel" value="">
        <jx:forEach var="channel" items="$orderedChannelList">
          <dtcpc:obtainChannelFromContainer channel="$channel">
            <option value="<dt:getName/>"><dt:getTitle/></option>
          </dtcpc:obtainChannelFromContainer>
        </jx:forEach>
      </select>
    </p>

    <do type="accept" label="完了">
      <go href="<%=desktopURL%>"/>
    </do>
    <do type="options" label="上へ">
      <go href="<%=desktopURL%>" method="post">
        <postfield name="action" value="process"/>
        <postfield name="provider" value="WirelessJSPLayoutChannel"/>
        <postfield name="container" value="<%=container%>"/>
        <postfield name="moveUp" value="$(movingChannel)"/>
        <postfield name="nextURL" value="<dtpc:getDesktopURL/>?action=edit&amp;provider=WirelessJSPLayoutChannel&amp;container=<%=container%>"/>
      </go>
    </do>
  </card>
  </jx:when>

    <jx:otherwise>
        <card id="LayoutEmpty" title="チャネルを配置">

            <do type="prev" label="戻る">
                <prev/>
            </do>

            <p align="left" mode="nowrap">
                <b>移動するチャネルがありません。レイアウトは変更できません。</b>
            </p>
        </card>
    </jx:otherwise>

</jx:choose>
    

</wml>

</dt:obtainContainer>
