<%@ page contentType="text/html; charset=UTF-8" %>
<%--
Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
 
<!-- @(#)IMArchiveDisplay.jsp --> 
 
<%@page language= "java" import="com.sun.portal.search.providers.*,
                java.lang.*, java.util.*, java.text.*, 
                com.sun.im.portal.servlet.*" %> 
 
<%@ taglib uri="/tld/search.tld" prefix="search" %> 
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %> 
<%@ taglib uri="/tld/im.tld" prefix="im" %> 
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %> 
 
<dt:obtainChannel channel="$JSPProvider"> 
<dtpc:providerContext> 
 
<% Hashtable ht = new Hashtable();
   ht.put("has_joined_the_room","<span class='user'> {0} </span> <span class='headervalue'>이(가) 들어왔습니다.</span>");
   ht.put("has_left_the_room","<span class='user'> {0} </span> <span class='headervalue'>이(가) 퇴실했습니다.</span>");
   ht.put("has_closed_the_room","<span class='user'> {0} </span> <span class='headervalue'>이(가) 방을 폐쇄했습니다.</span>");
   ht.put("has_opened_the_room","<span class='user'> {0} </span> <span class='headervalue'>이(가) 개설했습니다.</span>");
   ht.put("has_logged_in","<span class='user'> {0} </span> <span class='headervalue'>이(가) 로그인했습니다.</span>");
   ht.put("has_logged_out","<span class='user'> {0} </span> <span class='headervalue'>이(가) 로그아웃했습니다.</span>");
   ht.put("unknown","알 수 없음");
   ht.put("poll_question","<span class='pollheader'> 폴링 질문: </span>");
   ht.put("subject","<span class='headername'> 제목: </span>");
   ht.put("to","<span class='headername'> 대상: </span> <span class='user'> {0} </span>");
   ht.put("from","<span class='headername'> 보낸 사람: </span> <span class='user'> {0} </span>");
   ht.put("date","<span class='headername'> 날짜: {0} </span>");
   ht.put("poll_answers","<span class='polldetails'> 폴링 응답: </span>");
   ht.put("answer","<span class='pollheader'>대답 {0}:</span> {1}");
   ht.put("replied","<span class='user'> {0} </span> 회신: ");
   ht.put("back","뒤로");
   ht.put("next","다음");
%>

<search:searchContext> 
    <% long startTime = System.currentTimeMillis(); %>
    <search:setQueryLanguage ql= "search"/> 
    <% String scope = request.getParameter("scope");
        if (scope == null) scope = ""; %>
    <search:setQuery query = "<%= scope %>"/> 
    <search:setRDMType rdmType = "rd-request"/>
    <search:setRDMServer rdmServer ='<%=  request.getScheme() +
                    "://" + request.getServerName() + ":" + 
                    request.getServerPort() + request.getContextPath() 
                    + "/search" %>'/> 
    <search:setViewAttributes viewAttributes = "title,full-text"/> 
 
    <search:setViewHits viewHits = "10"/> 
    <search:setPage page = "1"/> 

    <dtpc:getSessionID id = "accessToken"/> 
    <search:setSessionID sessionID="$accessToken"/> 
 
    <search:executeSearch/> 
    <search:getSearchString id="scope" />
    <im:debug message='<%= "Scope = " + (String)pageContext.getAttribute("scope") %>' />

    <html>
    <head>
    <search:getSoifResult id="result"/>
    <search:SOIF input="$result">
        <search:getValue soifAttribute="title" id="title"/>
        <title>
	<%= (String)pageContext.getAttribute("title") %>
	</title>
        <style type="text/css">
            p {margin:0px}
	    .messageTimestamp { color: #3366FF; font-size: 10pt;
                    font-family:Helvetica, Arial, sans-serif; }
	    .eventTimestamp { color: #FF0000; font-size: 10pt;
                    font-family:Helvetica, Arial, sans-serif; }
	    .headername { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
            .headervalue { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
	    .pollheader  { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
	    .polldetails { color: #3333FF; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
            .user { color: #CC33CC; font-family:courier, couriernew, monospaced 
		size; font-size: 10pt; font-weight:bold; white-space: pre }
        </style>
        </head>
        <body>
        <search:getValue soifAttribute="full-text" id="ft"/>
        <dtpc:getLocale id="locale" />

	<im:debug message='<%= "Title = " + (String)pageContext.getAttribute("title") %>' />
        <im:substitute id="data" data='<%= (String)pageContext.getAttribute("ft") %>' 
                    ht='<%= ht %>' locale='<%= (Locale)pageContext.getAttribute("locale") %>'/>
		 
	<%= (String)pageContext.getAttribute("data") %>
	<im:debug message='<%= "Full-Text = " + (String)pageContext.getAttribute("data") %>' />
    </search:SOIF>
    </body>
    <im:debug message='<%= new String("요청을 처리하는 데 필요한 시간: " +			(System.currentTimeMillis() - startTime) + " msec") %>'/>
</search:searchContext> 
</dtpc:providerContext> 
</dt:obtainChannel> 
 
