<%@ page contentType="text/html; charset=UTF-8" %>
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- single.jsp  --%>

<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopSingle.tld" prefix="dtsingle" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>


<%@ page session="false" %>

<jsp:include page="header.jsp" flush="true"/>
<dt:obtainContainer container="$JSPProvider">
  <dtsingle:singleContainerProvider>
  <dtpc:getStringProperty key="editContainerName" id="editContainerName" scope="request"/>
  <dtpc:getStaticContentPath id="sContext" scope="request"/>
  <dt:getName id="SingleContainer" scope="request"/> 
  <jx:declare id="editContainerName" type="java.lang.String"/>
  <jx:declare id="sContext" type="java.lang.String"/>
  <jx:declare id="SingleContainer" type="java.lang.String"/>
    <dtsingle:obtainSelectedChannel>
<img src="<dt:scontent/>/desktop/images/nothing.gif" height="8" width="0" border="0" alt=""><br>
<!-- get edit and help -->
<dt:isEditable id="editable" scope="request"/>
<dt:getHelp id="helpURL" scope="request"/> 

<TABLE BORDER=0 CELLPADDING=<dttheme:getAttribute name="borderWidth"/> 
  CELLSPACING=0 WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="borderColor"/>">
      <TR NOWRAP>
        <TD BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>" NOWRAP>
          <FONT SIZE="+0" COLOR="#FFFFFF" FACE="<dttheme:getAttribute name="fontFace"/>">
            <B><dt:getTitle/></B>
          </FONT>
        </TD>
        <TD BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>" NOWRAP>
          <P ALIGN=RIGHT>
<!-- provider commands -->
<jx:if test="$helpURL != null">
<A HREF="<dt:getHelp/>" TARGET="wthelp" onClick="javascript: var helpWin=window.open('<dt:getHelp/>', 'wthelp', 'width=600,height=500,hotkeys=no,status=no,resizable=yes,scrollbars=yes,toolbar=yes'); helpWin.focus();return false;"><IMG SRC='<%=sContext%>/desktop/images/b_help.gif' ALT='Hilfe <dt:getName/>' BORDER=0></A>
</jx:if>
<jx:if test="$editable">
<A HREF="<dtpc:getDesktopURL/>?action=edit&provider=<%=editContainerName%>&targetprovider=<dt:getName/>&containerName=<%=SingleContainer%>" TARGET="_self"><IMG SRC="<%=sContext%>/desktop/images/b_edit.gif" ALT="Bearbeiten <dt:getName/>" BORDER=0></A>
</jx:if>
</TD>
      </TR>
     <TR>
        <TD COLSPAN=2>
        <table
         bgcolor="<dttheme:getAttribute name="bgColor"/>"
         width="100%"
         cellpadding=2
         cellspacing=0
         border=0>
         <tr><td>
    <font color="<dttheme:getAttribute name="fontColor"/>" face="<dttheme:getAttribute name="fontFace"/>">
    <!-- provider content goes here -->
         <dt:getContent/>
    </font>
         </td></tr></table>
        </TD>
      </TR>
    </TABLE>
    
    <img src="<dt:scontent/>/desktop/images/nothing.gif" height="8" width="0" border="0" alt=""><br>
    
    </dtsingle:obtainSelectedChannel>
  </dtsingle:singleContainerProvider>
</dt:obtainContainer>

<jsp:include page="menubar.jsp" flush="true"/>
<%@ include file="footer.html" %>
