<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,com.sun.im.portal.provider.IMProvider" %>
<%@ taglib uri="/tld/im.tld" prefix="im" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<dt:obtainChannel channel="$JSPProvider">
<jx:declare id="JSPProvider" type="com.sun.im.portal.provider.IMProvider"/>
<dtpc:getStringProperty id="fontFace" key="fontFace1"/>
<jx:declare id="fontFace" type="java.lang.String"/>

<table border="0" cellpadding="0" cellspacing="3" width="100%">
<tbody>
<%-- ------------------- Channel Display Information ---------------- --%>
<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Información del canal
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
¿Por qué?
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
El canal de Instant Messenger muestra información de presencia sobre los contactos 
de la lista de contactos que introduzca aquí. 
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <im:getContactGroups id="groups"/>
  <% if (pageContext.getAttribute("groups") == null) { %>
      <td colspan="2">
      <i><font color="red">Error</font>: No se puede establecer una conexión con el servidor de Instant Messaging para obtener la lista de grupos de contactos.</i>
      </td>
  <% }
     else {
  %>
      <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
        <label for="commonname"><b>
Lista de contactos:
        </b></label></font><br>
      </td>
      <td valign="middle">
        <select name="contactGroup">
         <dtpc:getStringProperty id="cg" key="contactGroup"/>
          <jx:declare id="cg" type="java.lang.String"/>
          <jx:forEach var="group" items="$groups">
            <jx:declare id="group" type="java.lang.String"/>
            <option value="<%=group%>" <%= cg.equals(group) ? "selected" : "" %>><%=group%></option>
          </jx:forEach>
          <option value="__ALL__" <%= cg.equals("") ? "selected" : "" %>>Todos los contactos</option>
        </select>
      </td>
  <% } %>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messenger Launch Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Información de inicio de Instant Messenger
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
¿Por qué?
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Instant Messenger puede ejecutarse en su navegador (complemento de Java) 
o puede instalarse en su equipo mediante Java Web Start.
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
Método de inicio:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <select name="clientRunMode">
      <dtpc:getStringProperty id="crm" key="clientRunMode"/>
      <option value="plugin" <jx:if test="$crm == 'plugin'">selected</jx:if>>Complemento de Java</option>
      <option value="jnlp" <jx:if test="$crm == 'jnlp'">selected</jx:if>>Java Web Start</option>
    </select>
  </td>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messaging Server Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Información del servidor de Instant Messaging
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="5">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
¿Por qué?
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Para acceder al servidor de Instant Messaging, debe introducir la
información necesaria para establecer contacto con el servidor.
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
Nombre de host del servidor:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="mux" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="mux"/>">
  </td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
Puerto del servidor:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="muxport" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="muxport"/>">
  </td>
</tr>

<dtpc:getStringProperty id="authMethod" key="authMethod"/>
<jx:if test="$authMethod == 'ldap'">
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  Nombre de usuario:
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="text" name="username" size="25" maxlength="40" 
       value="<dtpc:getStringProperty key="username"/>">
    </td>
  </tr>
  
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  Contrase\u00f1a:
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="password" name="password" size="25" maxlength="40" 
       value="<%= JSPProvider.getDummyPassword() %>">
  </td>
  </tr>
</jx:if>

<tr><td colspan="2"></td></tr>

</tbody>
</table>
</dt:obtainChannel>
