<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,com.sun.im.portal.provider.IMProvider" %>
<%@ taglib uri="/tld/im.tld" prefix="im" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<dt:obtainChannel channel="$JSPProvider">
<jx:declare id="JSPProvider" type="com.sun.im.portal.provider.IMProvider"/>
<dtpc:getStringProperty id="fontFace" key="fontFace1"/>
<jx:declare id="fontFace" type="java.lang.String"/>

<table border="0" cellpadding="0" cellspacing="3" width="100%">
<tbody>
<%-- ------------------- Channel Display Information ---------------- --%>
<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
チャネル表示情報
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
説明
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
入力した連絡先一覧に含まれる相手のステータスが、 
Instant Messenger チャネルに表示されます。 
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <im:getContactGroups id="groups"/>
  <% if (pageContext.getAttribute("groups") == null) { %>
      <td colspan="2">
      <i><font color="red">エラー</font>: 連絡先グループ一覧を取得するために Instant Messaging サーバーに接続することができません。</i>
      </td>
  <% }
     else {
  %>
      <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
        <label for="commonname"><b>
連絡先一覧:
        </b></label></font><br>
      </td>
      <td valign="middle">
        <select name="contactGroup">
         <dtpc:getStringProperty id="cg" key="contactGroup"/>
          <jx:declare id="cg" type="java.lang.String"/>
          <jx:forEach var="group" items="$groups">
            <jx:declare id="group" type="java.lang.String"/>
            <option value="<%=group%>" <%= cg.equals(group) ? "selected" : "" %>><%=group%></option>
          </jx:forEach>
          <option value="__ALL__" <%= cg.equals("") ? "selected" : "" %>>すべての連絡先</option>
        </select>
      </td>
  <% } %>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messenger Launch Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Instant Messenger 起動情報
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="3">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
説明
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Instant Messenger プログラムは、ブラウザ上で実行するか (Java プラグインを使用)、 
Java Web Start を使用してコンピュータにインストールすることができます。
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
起動方法:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <select name="clientRunMode">
      <dtpc:getStringProperty id="crm" key="clientRunMode"/>
      <option value="plugin" <jx:if test="$crm == 'plugin'">selected</jx:if>>Java プラグイン</option>
      <option value="jnlp" <jx:if test="$crm == 'jnlp'">selected</jx:if>>Java Web Start</option>
    </select>
  </td>
</tr>
<tr><td colspan="2"></td></tr>

<%-- ------------------- Instant Messaging Server Information ---------------- --%>

<tr>
  <td width="100%" bgcolor="#333366" colspan="3">
    <font size="+1" face="<%=fontFace%>" color="#ffffff"><b>
Instant Messaging サーバー情報
    </b></font></td>
</tr>
<tr>
<td colspan="2" width="70%"></td>
<td valign="top" rowspan="5">
  <table border="0" cellpadding="2" cellspacing="1" width="100%" bgcolor="#eeeeee">
  <tbody>
  <tr>
    <td valign="top" bgcolor="#dcdcdc" height="15">
      <font face="<%=fontFace%>"><b>
説明
      </b></font>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <font face="<%=fontFace%>" size="-1">
Instant Messaging サーバーにアクセスするには、以下を入力してください
サーバーへの接続に必要な情報を入力する必要があります。
      </font>
    </td>
  </tr>
  </tbody></table>
</td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
サーバーのホスト名:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="mux" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="mux"/>">
  </td>
</tr>

<tr>
  <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
    <label for="commonname"><b>
サーバーポート:
    </b></label></font><br>
  </td>
  <td valign="middle">
    <input type="text" name="muxport" size="25" maxlength="40" 
     value="<dtpc:getStringProperty key="muxport"/>">
  </td>
</tr>

<dtpc:getStringProperty id="authMethod" key="authMethod"/>
<jx:if test="$authMethod == 'ldap'">
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  ユーザー名:
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="text" name="username" size="25" maxlength="40" 
       value="<dtpc:getStringProperty key="username"/>">
    </td>
  </tr>
  
  <tr>
    <td valign="middle" align="right"><font face="<%=fontFace%>" color="#000000">
      <label for="commonname"><b>
  パスワード :
      </b></label></font><br>
    </td>
    <td valign="middle">
      <input type="password" name="password" size="25" maxlength="40" 
       value="<%= JSPProvider.getDummyPassword() %>">
  </td>
  </tr>
</jx:if>

<tr><td colspan="2"></td></tr>

</tbody>
</table>
</dt:obtainChannel>
