<%@ page contentType="text/html; charset=UTF-8" %>
<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="contentSetup.jsp" %>

<dt:obtainContainer container="$wireless"> 

<%@ include file="adjustChannelList.jsp" %>

<%-- The presentation of content edit page --%>

<wml>

  <jx:choose>
    <jx:when test="$hasAvailableChannels == true">
        <card id="contentSelection" title="內容選擇">

            <do type="prev" label="返回">
                <prev/>
            </do>

            <p align="left" mode="nowrap">
            <select name="contentList" value="<%=selectedChannelsBuf.toString()%>" multiple="true">
                <jx:forEach var="channel" items="$availableChannels">
                    <dtcpc:obtainChannelFromContainer channel="$channel">
                        <option value="<dt:getName/>"><dt:getTitle/></option>
                    </dtcpc:obtainChannelFromContainer>
                </jx:forEach>
            </select>
            </p>

            <p>
            <anchor title="完成">完成
                <go href="<dtpc:getDesktopURL/>" method="post">
                    <postfield name="action" value="process"/>
                    <postfield name="provider" value="WirelessJSPContentChannel"/>
                    <postfield name="container" value="<%=container%>"/>
                    <postfield name="content" value="$(contentList)"/>
                </go>
            </anchor>
            </p>
        </card>
    </jx:when>
    <jx:otherwise>
        <card id="empty_content" title="內容選擇">
            <do type="prev" label="返回">
                <prev/>
            </do>
            <p align="left" mode="nowrap">
                <b>無可選的頻道</b>
            </p>
            <p>
            <anchor title="首頁">首頁
                <go href="<dtpc:getDesktopURL/>" method="get"/>
            </anchor>
            </p>
        </card>
    </jx:otherwise>
  </jx:choose>
</wml>

</dt:obtainContainer>
